<?php

if ( ! function_exists( 'acf_flexible_media_1' ) ) {

	# Figures
	function acf_flexible_media_1 ($input) {
	#	displayVar($input);
		$output   = '';
		$media    = '';
		$output  .= '<!-- acf_flexible_media_1 -->';

		# YouTube
		# --------------------------------------------------------------------------------------------------------------
		if ($input['media_type'] == 'youtube') {
			$media .= '<div class="s3-mb-8"><div class="video"><iframe src="https://www.youtube.com/embed/' . $input['youtube_id'] . '?rel=0&amp;showinfo=1" frameborder="0" allowfullscreen></iframe></div></div>';
		}



		# SoundCloud
		# --------------------------------------------------------------------------------------------------------------
		if ($input['media_type'] == 'soundcloud') {
			$media .= '<div class="s3-mb-6"><div class="audio"><iframe width="100%" height="166" scrolling="no" frameborder="no" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/' . $input['soundcloud_id'] . '&amp;color=ceb888&amp;auto_play=false&amp;hide_related=true&amp;show_comments=false&amp;show_user=true&amp;show_reposts=false"></iframe></div></div>';
		}



		# Gallery
		# --------------------------------------------------------------------------------------------------------------
		if ($input['media_type'] == 'gallery') {
#			displayVar($input['gallery_columns']);
#			displayVar($input['gallery_captions']);
#			displayVar($input['gallery']);

			$content_count = count($input['gallery']);
			if ( ($content_count < $input['gallery_columns']) && ($input['gallery_columns'] < 7) ) {
				if ( ($content_count < $input['gallery_columns']) && ($input['gallery_columns'] > 4) ) {
					$input['gallery_columns'] = 4;
				} else {
					$input['gallery_columns'] = $content_count;
				}
			}

			switch ($input['gallery_columns']) {
				case '6':
					$cols = 'col-sm-6 col-md-3 col-lg-2';
					break;
				case '4':
					$cols = 'col-sm-6 col-md-3';
					break;
				case '3':
					$cols = 'col-sm-6 col-md-4';
					break;
				case '2':
					$cols = 'col-sm-6';
					break;
				default:
					$cols = 'col-sm-12';
					$clearfix = '';
				}

			$count = 0;
			$unique_key = microtime();
			foreach ($input['gallery'] as $key => $value) {
				$link = array (
					'href'  => '',
					'class' => array(),
					'data'  => array(),
				);

				if (_SITE_GALLERY_TYPE == 'fresco') {
					$link['href']    = $value['large'];
					$link['class'][] = 'fresco';
					if ($value['caption']) {
						$link['text'][]  = $value['caption'];
					}
					if ($value['description']) {
						$link['text'][]  = $value['description'];
					}
					if (isset($link['text'])) {
						if (is_array($link['text'])) {
							$link['data'][]  = 'data-fresco-caption="' . implode(' : ', $link['text']) . '"';
						}
					}
					$link['data'][]  = 'data-fresco-group="' . $unique_key . '"';
					$link['data'][]  = 'data-fresco-options="thumbnail: \'' . $value['thumb'] . '\'"';
				} else {
					$link['href']    = get_attachment_link($value['id']);
				}

				$alt = '';
				$figcaption = '';
				if ( (isset($value['caption'])) && ($value['caption'] != '') ) {
					if ($input['gallery_captions'] == 'left') {
						$figcaption = '<figcaption class="wp-caption-text wp-caption-text-gallery text-left">' . $value['caption'] . '</figcaption>';
					} elseif ($input['gallery_captions'] == 'center') {
						$figcaption = '<figcaption class="caption wp-caption-text-gallery text-center">' . $value['caption'] . '</figcaption>';
					} else {
						if ($value['alt'] != '') {
							$alt = $value['alt'];
						} else {
							$alt = $value['caption'];
						}
					}
				} else {
					if ($value['alt'] != '') {
						$alt = $value['alt'];
					}
				}

				$slot[$count]  = '<figure">';
				$slot[$count] .= '<a href="' . $link['href'] . '" class="' . implode(' ', $link['class']) . '" ' . implode(' ', $link['data']) . '">';
				$slot[$count] .= '<div class="media-img">';
				$slot[$count] .= '<img src="' . $value['thumb'] . '" alt="' . $alt . '" class="img-responsive img-expand">';
				$slot[$count] .= '<span class="fa fa-search-plus media-zoom"><span class="hidden"></span></span>';
				$slot[$count] .= '</div>';
				$slot[$count] .= '</a>';
				$slot[$count] .= $figcaption;
				$slot[$count] .= '</figure>';
				$count++;
			}

			$count = 1;
			$gallery  = '';
			$gallery .= '<div class="row">';
			foreach ($slot as $key => $value) {
				$gallery .=     '<div class="col-xs-12 ' . $cols . ' s3-mb-9">';
				$gallery .=         $value;
				$gallery .=     '</div>';

				if ( ($input['gallery_columns'] == 6) && ($count % 2 == 0) ) {
					$gallery .= '<div class="clearfix visible-sm"></div>';
				}

				if ( ($input['gallery_columns'] == 6) && ($count % 4 == 0) ) {
					$gallery .= '<div class="clearfix visible-md"></div>';
				}

				if ( ($input['gallery_columns'] == 6) && ($count % 6 == 0) ) {
					$gallery .= '<div class="clearfix visible-lg"></div>';
				}

				if ( ($input['gallery_columns'] == 4) && ($count % 2 == 0) ) {
					$gallery .= '<div class="clearfix visible-sm"></div>';
				}

				if ( ($input['gallery_columns'] == 4) && ($count % 4 == 0) ) {
					$gallery .= '<div class="clearfix visible-md visible-lg"></div>';
				}

				if ( ($input['gallery_columns'] == 3) && ($count % 2 == 0) ) {
					$gallery .= '<div class="clearfix visible-sm"></div>';
				}

				if ( ($input['gallery_columns'] == 3) && ($count % 3 == 0) ) {
					$gallery .= '<div class="clearfix visible-md visible-lg"></div>';
				}

				if ( ($input['gallery_columns'] == 2) && ($count % 2 == 0) ) {
					$gallery .= '<div class="clearfix"></div>';
				}

				$count++;
			}
			$gallery .= '</div>';

			$media .= $gallery;
		}



		# Embed
		# --------------------------------------------------------------------------------------------------------------
		if ($input['media_type'] == 'embed') {
			$media .= $input['embed_code'];
		}



		# Add media description if available
		# --------------------------------------------------------------------------------------------------------------
		if (isset($input['media_description_before'])) {
			$output .= $input['media_description_before'];
		}
		$output .= $media;
		if (isset($input['media_description_after'])) {
			$output .= $input['media_description_after'];
		}


		# Output the data
		# --------------------------------------------------------------------------------------------------------------
		$output .= '<!-- /acf_flexible_media_1 -->';
		$output  = acf_flexible_container($input, $output);
		return $output;

	}
}



