<?php
/**
 * Template part for displaying results in search pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Strata_Three
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="article s3-<?php echo _SITE_POSTS; ?> s3-p-9 s3-bs">
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="h5 entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php s3_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-summary">
			<div class="row">
<?php
				# $featured_image generates a column
				echo s3_featured_image_thumb($post);
				the_excerpt();
?>
				</div>
			</div>
	</div><!-- .entry-summary -->

	<div class="continue-reading" style="">
		<a href="<?php echo esc_url( get_permalink() ); ?>" rel="bookmark" class="btn btn-link btn-go s3-<?php echo _SITE_BUTTONS; ?> s3-bs">
			<?php
				printf(
					/* Translators: %s = Name of the current post. */
					wp_kses( __( 'Continue reading %s', 's3' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				);
			?>
		</a>
	</div>

	<footer class="entry-footer entry-footer-search">
		<hr class="s3-b-<?php echo _SITE_HIGHLIGHTS; ?> s3-mt-0 s3-mb-6" />
		<?php s3_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	</div>
</article><!-- #post-## -->

